Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - Authentication

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Authentication

Authentication — password, SAML SSO, OIDC, and Boomi Platform login.

Process SAML SSO response (GET)

To be called by SAML identity provider.

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Process SAML SSO response (GET)

To be called by SAML identity provider.

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Process OIDC login response (GET)

query Parameters
code
required
string
state
required
string

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Process OIDC login response (GET)

query Parameters
code
required
string
state
required
string

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Process Boomi Platform login response (GET)

query Parameters
code
string
state
string

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Process Boomi Platform login response (GET)

query Parameters
code
string
state
string

Responses

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Log out current user

Invalidates all access tokens generated by previous logins.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
redirectUrl
string

URL to redirect the user to after logout, e.g. for SSO logout flows.

Response samples

Content type
application/json
{
  • "redirectUrl": "string"
}

Log in with username and password

Login with username and password.

Request Body schema: application/json
required
password
required
string

The user's password.

username
required
string

The username or email address.

Responses

Response Headers
Authorization
string

Bearer token

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Request samples

Content type
application/json
{
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}

Log in anonymously

Login as anonymous user. (Only if this feature has been enabled.)

Responses

Response Headers
Authorization
string

Bearer token

Response Schema: application/json
object

Response samples

Content type
application/json
{ }

Initiate SAML SSO login

query Parameters
devPortalToken
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get available login methods

Get available login methods.

Responses

Response Schema: application/json
anonymousLoginEnabled
required
boolean

Whether anonymous (guest) login is enabled.

boomiLoginEnabled
required
boolean

Whether Boomi platform login is enabled.

ldapEnabled
required
boolean

Whether LDAP authentication is enabled.

oidcEnabled
required
boolean

Whether OpenID Connect authentication is enabled.

passwordLoginEnabled
required
boolean

Whether local username/password login is enabled.

samlEnabled
required
boolean

Whether SAML 2.0 authentication is enabled.

samlLoginPage
string

Custom SAML login URL.

Response samples

Content type
application/json
{
  • "passwordLoginEnabled": true,
  • "ldapEnabled": true,
  • "oidcEnabled": true,
  • "samlEnabled": true,
  • "samlLoginPage": "string",
  • "anonymousLoginEnabled": true,
  • "boomiLoginEnabled": true
}

Initiate OIDC login

query Parameters
devPortalToken
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Initiate Boomi Platform login

query Parameters
devPortalToken
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Complete SAML SSO login

To be called by frontend, to complete SAML login process and obtain actual access token.

Authorizations:
bearerAuth

Responses

Response Headers
Authorization
string

Bearer token

Response Schema: application/json
email
required
string

Email for notifications and resets.

locked
required
boolean

Locked (e.g. failed logins).

username
required
string

Login username (typically email).

displayName
string

Display name, derived from firstName and lastName if not set directly.

status
string
Enum: "INVITED" "ACTIVE" "DELETED"

ACTIVE, INACTIVE, or INVITED.

password
string

Write-only.

role
string
Default: "GLOBAL_ADMIN"
Enum: "USER" "GLOBAL_ADMIN" "ADMIN" "NO_ACCESS"

Role identifier, e.g. NO_ACCESS, USER, ADMIN, GLOBAL_ADMIN.

organization
string <uuid>

Organization UUID.

firstName
string

User's first name.

lastName
string

User's last name.

origin
string
Enum: "MANUAL" "INVITED" "LDAP" "SAML" "OIDC" "MANAGED"

Account origin: LOCAL, LDAP, SAML, OIDC, or BOOMI.

termsOfUseAccepted
boolean

Whether the user has accepted the current terms of use (read-only).

id
string <uuid>

System-assigned ID (read-only).

hasImage
boolean

Whether a profile image has been uploaded for this user (read-only).

externalUserId
string

External ID from identity provider.

platformPrivileges
Array of strings unique

Boomi Platform privilege level.

Response samples

Content type
application/json
{
  • "username": "Max Muster",
  • "displayName": "Max Mustermann",
  • "email": "max.mustermann@apiida.com",
  • "status": "ACTIVE",
  • "password": "examplePassword",
  • "role": "GLOBAL_ADMIN",
  • "organization": 1,
  • "firstName": "Max",
  • "lastName": "Mustermann",
  • "origin": "MANUAL",
  • "termsOfUseAccepted": true,
  • "id": 1,
  • "hasImage": true,
  • "locked": false,
  • "externalUserId": "string",
  • "platformPrivileges": [
    • "string"
    ]
}